DEVICE_INITIALIZE(9)

NAME
device_initialize - init device structure.

SYNOPSIS

void device_initialize (struct device * dev);

ARGUMENTS

dev device.

DESCRIPTION

This prepares the device for use by other layers, including adding it to the device hierarchy. It is the first half of device_register, if called by that, though it can also be called separately, so one may use dev's fields (e.g. the refcount).